2 Replies Latest reply on Aug 7, 2012 10:37 PM by Frustrated in AZ

    E-book won't download

    Amalie A

      I have purchased an e-book. When I open the download link, I get an error message telling me to install Adobe Digital Editions and the ADE installer with a message saying "sorry, but your system doesn't meet the minimum system requirements."

       

       

      Digital Editions is already installed (1.8, I have also tried in 1.7), I have the latest version of Flash and the latest version of Safari. I've tried in Firefox as well, same result. I have Mac OSX Mountain Lion.

       

      Any idea what the problem is?